Article / 文章中心

使用yum命令报“File "/usr/bin/yum", line 30”错误的解决方法

发布时间:2020-11-10 点击数:747

爆款产品   阿里云低至0.73折 http://buy.zhiy.com.cn

问题描述

使用yum命令时报如下错误。

File "/usr/bin/yum", line 30

except KeyboardInterrupt, e:

^

SyntaxError: invalid syntax

系统显示类似如下。

问题原因

Python版本升级所致。Python 2.X升级到Python 3.X版本后,2.X版本和3.X版本的Python语法不一致,存在兼容问题。

解决方案

阿里云提醒您:

如果您对实例或数据有修改、变更等风险操作,务必注意实例的容灾、容错能力,确保数据安全。

如果您对实例(包括但不限于ECSRDS)等进行配置与数据修改,建议提前创建快照或开启RDS日志备份等功能。

如果您在阿里云平台授权或者提交过登录账号、密码等安全信息,建议您及时修改。

参考如下步骤进行修复。

1.执行如下命令,查看当前Python版本。

python -V

系统显示类似如下。

2.编辑如下文件,指定yum使用当前Python版本。

/usr/bin/yum

修改后,系统显示类似如下。

3.重试yum命令,确认问题已经修复。

适用于

云服务器 ECS

如果您有其他问题,可以联系北京志远天辰阿里云代理商,为您提供一对一专业全面的技术服务,同时新/老阿里云会员,均可享受我公司代理商价格迎咨询